Akuvox Service API
Get Akuvox Device List
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| ciphertext | String | Body | Ciphertext, dependent on SDK |
| relays | []Object<relay> | Body | Relay information |
| security_relays | []Object<relay> | Body | Security relay information |
| is_public | Boolean | Body | Whether the device is public or not? true: yes false: no |
| device_name | String | Body | Device name |
| sip | String | Body | SIP |
| device_type | String | Body | Device type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control |
| mac | String | Body | MAC |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| rtsp_url | String | Body | RTSP URL |
relay description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| relay_name | String | Body | Relay name |
| relay_number | String | Body | Relay number |
| relay_id | String | Body | Relay ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_akuvox_device_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"ciphertext": "7b3d75f5a8cfa959167852468fca08a3",
"security_relays": [],
"relays": [
{
"relay_name": "Front Door 3",
"relay_number": "#",
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2"
}
],
"is_public": true,
"device_name": "Front Door",
"sip": "123132312",
"device_type": "Multi-tenants Doorphone",
"mac": "0C110532D226",
"online": true,
"rtsp": "rtsp://user:bfk69623v6Lxxxxxc@12.136.56.119:554/211F03FF0008"
}
]
}
Failure Return Example
Get Akuvox Open Door Private Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| private_key | String | Body | Private key |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_akuvox_open_door_private_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": {
"private_key": "12345"
}
}
Failure Return Example
Update Akuvox Open Door Private Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| private_key | String | Body | Yes | Private key |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_akuvox_open_door_private_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"private_key": "12345",
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Akuvox Open Door NFC Config
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| nfc_code | String | Body | NFC code |
| enable_nfc | Boolean | Body | Whether the NFC is enable or not? true: enable false: disable |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_akuvox_open_door_nfc_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": {
"nfc_code": "F0A5B8FDC7643920",
"enable_nfc": true
}
}
Failure Return Example
Update Akuvox Open Door NFC Config
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| enable_nfc | Boolean | Body | Yes | Whether the NFC is enable or not? true: enable false: disable |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| nfc_code | String | Body | NFC code |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_akuvox_open_door_nfc_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"enable_nfc": true,
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"nfc_code": "F0A5B8FDC7643920"
}
}
Failure Return Example
Get Akuvox Open Door Bluetooth Config
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| ble_code | String | Body | Bluetooth code |
| enable_ble | Boolean | Body | Whether the bluetooth is enable or not? true: enable false: disable |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_akuvox_open_door_ble_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": {
"ble_code": "F0A5B8FDC7643920",
"enable_ble": true
}
}
Failure Return Example
Update Akuvox Open Door Bluetooth Config
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| enable_ble | Boolean | Body | Yes | Whether the bluetooth is enable or not? true: enable false: disable |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| ble_code | String | Body | Bluetooth code |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_akuvox_open_door_ble_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"enable_ble": true,
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"ble_code": "F0A5B8FDC7643920"
}
}
Failure Return Example
Get Akuvox Open Door Temp Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| temp_key | String | Body | Temp key |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| count | Integer | Body | Count |
| qr_code_url | String | Body | QR code URL |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_akuvox_open_door_temp_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"finish_time": "2020-03-12 17:32:43",
"temp_key": "91234567",
"start_time": "2020-03-12 13:32:43",
"qr_code_url": "https://test.akubela.com/w.png",
"count": 100
}
]
}
Failure Return Example
Create Akuvox Open Door Temp Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
| count | Integer | Body | Yes | Count |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| temp_key | String | Body | Temp key |
| qr_code_url | String | Body | QR code URL |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_akuvox_open_door_temp_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"finish_time": "2020-03-12 17:32:43",
"start_time": "2020-03-12 13:32:43",
"count": 100,
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"temp_key": "91234567",
"qr_code_url": "https://test.akubela.com/w.png"
}
}
Failure Return Example
Delete Akuvox Open Door Temp Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| temp_key | String | Body | Yes | Temp key |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_akuvox_open_door_temp_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"temp_key": "88776688",
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Delete Akuvox Open Door Temp Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| temp_key | []String | Body | Yes | Temp key |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_akuvox_open_door_temp_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"temp_key": [
"88776688"
],
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Akuvox Face File Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| is_uploaded | Boolean | Body | Whether the face file is uploaded or not? true: uploaded false: yet to be uploaded |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_akuvox_face_file_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": {
"is_uploaded": true
}
}
Failure Return Example
Update Akuvox Face File Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| filename | String | Body | Yes | Filename |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_akuvox_face_file_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"filename": "my.jpg",
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Delete Akuvox Face File Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_akuvox_face_file_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Check Akuvox Device Permission
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| devices | []Object<device> | Body | Yes | Device information |
| residence_id | String | Body | Yes | Residence ID |
device description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| mac | String | Body | Yes | MAC |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| permission | Boolean | Body | Whether the device permission is ready or not? true: yes false: no |
| mac | String | Body | MAC |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "check_akuvox_device_permission",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"devices": [
{
"mac": "0C11050BC115"
}
],
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"permission": true,
"mac": "0C11050BC115"
}
]
}
Failure Return Example
Get Akuvox Call History
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| call_name | String | Body | Call name |
| call_sip | String | Body | Call SIP |
| call_time | String | Body | Call time |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_akuvox_call_history",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"call_name": "IT83_alq_180",
"call_sip": "6200105433",
"call_time": "2020-03-12 17:32:43"
}
]
}
Failure Return Example
Get Akuvox Open Door History
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| open_door | Boolean | Body | Whether the door opening is successful or not? true: success false: failure |
| account_name | String | Body | Account name |
| device_name | String | Body | Device name |
| capture_thumbnail_url | String | Body | Capture thumbnail URL |
| open_door_type | String | Body | Open door type |
| capture_picture_url | String | Body | Capture picture URL |
| open_door_time | String | Body | Open door time |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_akuvox_open_door_history",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"open_door": true,
"account_name": "tom",
"device_name": "R29",
"capture_thumbnail_url": "https://test.akubela.com/r.jpg",
"open_door_type": "",
"capture_picture_url": "https://test.akubela.com/d.jpg",
"open_door_time": "2020-05-18 15:25:45"
}
]
}
Failure Return Example
Trigger Akuvox Remote Open Door
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| mac | String | Body | Yes | MAC |
| relay_id | String | Body | Yes | Relay ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "trigger_akuvox_remote_open_door",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"mac": "0C110508EF2E",
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"relay_id": "rr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}